/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#include "debug.h"
#include "fileinfo.h"
#include "memutil.h"


int main(int argc,char** argv){
    int x;
    int y;
    char* mimetype;
    if(!get_imageinfo("kirby.gif",&x,&y,&mimetype))
        return 1;
    DEBUG_p("x: %d, y: %d, mime-type: %s",x,y,mimetype);
    u_free(mimetype);
    return 0;
}
