/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef upstock_h
#define upstock_h

#define UP_STOCK_ABOUT
#define UP_STOCK_ADD
#define UP_STOCK_APPLY
#define UP_STOCK_BOLD
#define UP_STOCK_CANCEL
#define UP_STOCK_CAPS_LOCK_WARNING
#define UP_STOCK_CDROM
#define UP_STOCK_CLEAR
#define UP_STOCK_CLOSE
#define UP_STOCK_COLOR_PICKER
#define UP_STOCK_CONVERT
#define UP_STOCK_CONNECT
#define UP_STOCK_COPY
#define UP_STOCK_CUT
#define UP_STOCK_DELETE
#define UP_STOCK_DIALOG_AUTHENTICATION
#define UP_STOCK_DIALOG_ERROR
#define UP_STOCK_DIALOG_INFO
#define UP_STOCK_DIALOG_QUESTION
#define UP_STOCK_DIALOG_WARNING
#define UP_STOCK_DIRECTORY
#define UP_STOCK_DISCARD
#define UP_STOCK_DISCONNECT
#define UP_STOCK_DND
#define UP_STOCK_DND_MULTIPLE
#define UP_STOCK_EDIT
#define UP_STOCK_EXECUTE
#define UP_STOCK_FILE
#define UP_STOCK_FIND
#define UP_STOCK_FIND_AND_REPLACE
#define UP_STOCK_FLOPPY
#define UP_STOCK_FULLSCREEN
#define UP_STOCK_GOTO_BOTTOM
#define UP_STOCK_GOTO_FIRST
#define UP_STOCK_GOTO_LAST
#define UP_STOCK_GOTO_TOP
#define UP_STOCK_GO_BACK
#define UP_STOCK_GO_DOWN
#define UP_STOCK_GO_FORWARD
#define UP_STOCK_GO_UP
#define UP_STOCK_HARDDISK
#define UP_STOCK_HELP
#define UP_STOCK_HOME
#define UP_STOCK_INDENT
#define UP_STOCK_INDEX
#define UP_STOCK_INFO
#define UP_STOCK_ITALIC
#define UP_STOCK_JUMP_TO
#define UP_STOCK_JUSTIFY_CENTER
#define UP_STOCK_JUSTIFY_FILL
#define UP_STOCK_JUSTIFY_LEFT
#define UP_STOCK_JUSTIFY_RIGHT
#define UP_STOCK_LEAVE_FULLSCREEN
#define UP_STOCK_MEDIA_FORWARD
#define UP_STOCK_MEDIA_NEXT             "actions/media-skip-forward"
#define UP_STOCK_MEDIA_PAUSE            "actions/media-playback-pause"
#define UP_STOCK_MEDIA_PLAY             "actions/media-playback-start"
#define UP_STOCK_MEDIA_PREVIOUS         "actions/media-skip-backward"
#define UP_STOCK_MEDIA_RECORD
#define UP_STOCK_MEDIA_REWIND
#define UP_STOCK_MEDIA_STOP             "actions/media-playback-stop"
#define UP_STOCK_MISSING_IMAGE          "status/image-missing"
#define UP_STOCK_NETWORK
#define UP_STOCK_NEW
#define UP_STOCK_NO
#define UP_STOCK_OK
#define UP_STOCK_OPEN                   "actions/document-open"
#define UP_STOCK_ORIENTATION_LANDSCAPE
#define UP_STOCK_ORIENTATION_PORTRAIT
#define UP_STOCK_ORIENTATION_REVERSE_LANDSCAPE
#define UP_STOCK_ORIENTATION_REVERSE_PORTRAIT
#define UP_STOCK_PAGE_SETUP
#define UP_STOCK_PASTE
#define UP_STOCK_PREFERENCES
#define UP_STOCK_PRINT
#define UP_STOCK_PRINT_ERROR
#define UP_STOCK_PRINT_PAUSED
#define UP_STOCK_PRINT_PREVIEW
#define UP_STOCK_PRINT_REPORT
#define UP_STOCK_PRINT_WARNING
#define UP_STOCK_PROPERTIES
#define UP_STOCK_QUIT
#define UP_STOCK_REDO
#define UP_STOCK_REFRESH
#define UP_STOCK_REMOVE
#define UP_STOCK_REVERT_TO_SAVED
#define UP_STOCK_SAVE
#define UP_STOCK_SAVE_AS
#define UP_STOCK_SELECT_ALL
#define UP_STOCK_SELECT_COLOR
#define UP_STOCK_SELECT_FONT
#define UP_STOCK_SORT_ASCENDING
#define UP_STOCK_SORT_DESCENDING
#define UP_STOCK_SPELL_CHECK
#define UP_STOCK_STOP
#define UP_STOCK_STRIKETHROUGH
#define UP_STOCK_UNDELETE
#define UP_STOCK_UNDERLINE
#define UP_STOCK_UNDO
#define UP_STOCK_UNINDENT
#define UP_STOCK_YES
#define UP_STOCK_ZOOM_100
#define UP_STOCK_ZOOM_FIT
#define UP_STOCK_ZOOM_IN
#define UP_STOCK_ZOOM_OUT

#define UP_STOCK_TIMER ""
#define UP_STOCK_VOLUME                   "status/audio-volume-high"

char* up_stock_get_filename(const char* id,int size);

#endif /* upstock_h */
