/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef button_h
#define button_h

#include "../signals.h"
#include "container.h"

//void genjs_button_create_container(UpWidget*,const char*);
//void genjs_button_create_label(UpWidget*,const char*);
//void genjs_button_connect_activate(UpWidget*);
//void genjs_button_disconnect_activate(UpWidget*);

void up_button_on_activate(void*,UpSession*,const char*);
UpWidget* up_button_new(void);
UpWidget* up_button_new_x(const char* label,SignalHandler);
SignalSubscription* up_button_subscribe_activate(UpWidget*,SignalHandler,void*);
void up_button_unsubscribe_activate(UpWidget*,SignalSubscription*);

#endif /* button_h */
