/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#include <stdio.h>

#include "memutil.h"
#include "namespace.h"


int main(int argc,char** argv){
    NameSpace ns;
    int i;
    ns_init(&ns);
    ns.counter = 6000000;
    for(i=0;i<1000000;++i){
        int nr = ns.counter;
        char* s = ns_identifier(&ns);
        printf("%d: %s\n",nr,s);
        u_free(s);
    }
    ns_done(&ns);
    return 0;
}
