/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#include <lauxlib.h>
#include <lua.h>
#include <lualib.h>
#include <stdio.h>

#include "debug.h"
#include "wgui.h"
#include "wgui_lua.h"


static WguiRequest req = {
    .self = "_"
};


int main(int argc,char** argv){
    lua_State* lua = luaL_newstate();
    w.fd = stdout;
    wgui_lua_init(lua);
    if(luaL_dofile(lua,"test.lua")){
        DEBUG_p("couldn't execute: %s",lua_tostring(lua,-1));
        return 1;
    }
    wgui_lua_call1s(lua,"init",&w,"_");
    wgui_lua_done(lua);
    lua_close(lua);
    return 0;
}
