/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef up_h
#define up_h

//#include "listmodel.h"

#include "upmain.h"
#include "upstock.h"
#include "widgets/box.h"
#include "widgets/button.h"
#include "widgets/container.h"
#include "widgets/expander.h"
#include "widgets/image.h"
#include "widgets/label.h"
#include "widgets/listview.h"
#include "widgets/root.h"
#include "widgets/scale.h"
#include "widgets/scrollwin.h"
#include "widgets/speaker.h"
#include "widgets/table.h"
#include "widgets/widget.h"

typedef struct{
    //FILE* fd;
    const char* basepath;
    int basepath_len;
    //UpSession* session;
}UpRequest;

typedef struct{
    const char* name;
    char* value;
}UpProperty;

typedef struct{
    const char* name;
    char* handler;
}UpEvent;

#endif /* up_h */
