/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef upmain_h
#define upmain_h

#include "widgets/widget.h"

#define UP_ICON_SIZE_BUTTON 22
#define UP_EXPAND 1
#define UP_FILL 2

typedef int(*UpSessionFunc)(void* userdata,UpWidget*);
typedef int(*UpKeyHandler)(int key,void* userdata);

int up_init(int port,UpSessionFunc);
void up_done(void);
int up_main(void);
void up_flush(UpWidget*);

#endif /* upmain_h */
