/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef up_container_h
#define up_container_h

#include "widget.h"

typedef struct{
    UpWidget inh;
    UpWidget* child;
}UpContainer;

void genjs_create_container_request_geometry(UpSession*,const char*);
#define genjs_get_container_request_geometry() genjs_get_function(sess,genjs_create_container_request_geometry)
void genjs_create_container_set_geometry(UpSession*,const char*);
#define genjs_get_container_set_geometry() genjs_get_function(sess,genjs_create_container_set_geometry)
void genjs_container_do_child(UpWidget*);
void genjs_container_create(UpWidget*,const char*);
void genjs_container_add(UpWidget* parent,UpWidget* child);

UpWidget* up_container_init_func(UpWidget*);
void up_container_link_func(UpWidget*);

UpWidget* up_container_new();

void up_container_add(UpWidget*,UpWidget*);
void up_container_remove(UpWidget*,UpWidget*);

#endif /* up_container_h */
