/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef up_root_h
#define up_root_h

#include "../signals.h"
#include "../upmain.h"
#include "container.h"

//void genjs_root_connect_key(UpWidget*);
//void genjs_root_disconnect_key(UpWidget*);

UpWidget* up_root_new(UpSession*);

SignalSubscription* up_root_subscribe_key(UpWidget*,UpKeyHandler,void* userdata);
void up_root_unsubscribe_key(UpWidget*,SignalSubscription*);

#endif /* up_root_h */
