/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef speaker_h
#define speaker_h

#include "../rangemodel.h"
#include "widget.h"

//void genjs_speaker_create(UpWidget*,const char*);
//void genjs_speaker_set_url(UpWidget*,const char*,const char*);
//void genjs_speaker_play(UpWidget*);
//void genjs_speaker_pause(UpWidget*);

UpWidget* up_speaker_new(RangeModel* position,RangeModel* volume);
void up_speaker_set_url(UpWidget*,const char*,const char*);
void up_speaker_play(UpWidget*);
void up_speaker_pause(UpWidget*);

#endif /* speaker_h */
